Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Class FilterHolder

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.servlet.Holder<Filter>
              org.eclipse.jetty.servlet.FilterHolder

All Implemented Interfaces:
  LifeCycle

    public class FilterHolder

extends Holder<Filter>

Nested Class Summary
`protected class` | `FilterHolder.Registration`

Nested classes/interfaces inherited from class org.eclipse.jetty.servlet.Holder
`Holder.HolderConfig, Holder.HolderRegistration, Holder.Source`

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.servlet.Holder
`_asyncSupported, _class, _className, _displayName, _extInstance, _initParams, _name, _servletHandler`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`FilterHolder()` Constructor
`FilterHolder(java.lang.Class<? extends Filter> filter)` Constructor
`FilterHolder(Filter filter)` Constructor for existing filter.
`FilterHolder(Holder.Source source)` Constructor

Method Summary
`void` | `destroyInstance(java.lang.Object o)`
`void` | `doStart()`
`void` | `doStop()`
`Filter` | `getFilter()`
`FilterRegistration.Dynamic` | `getRegistration()`
`void` | `setFilter(Filter filter)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.jetty.servlet.Holder
`getClassName, getDisplayName, getHeldClass, getInitParameter, getInitParameterNames, getInitParameters, getName, getServletHandler, getSource, illegalStateIfContextStarted, isAsyncSupported, isInstance, setAsyncSupported, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setName, setServletHandler`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterHolder

    public FilterHolder()

  Constructor

### FilterHolder

    public FilterHolder(Holder.Source source)

  Constructor

### FilterHolder

    public FilterHolder(java.lang.Class<? extends Filter> filter)

  Constructor

### FilterHolder

    public FilterHolder(Filter filter)

  Constructor for existing filter.

Method Detail

### doStart

    public void doStart()
                 throws java.lang.Exception

  Overrides:
    `doStart` in class `Holder<Filter>`
  Throws:
    `java.lang.Exception`

### doStop

    public void doStop()
                throws java.lang.Exception

  Overrides:
    `doStop` in class `Holder<Filter>`
  Throws:
    `java.lang.Exception`

### destroyInstance

    public void destroyInstance(java.lang.Object o)
                         throws java.lang.Exception

  Overrides:
    `destroyInstance` in class `Holder<Filter>`
  Throws:
    `java.lang.Exception`

### setFilter

    public void setFilter(Filter filter)

### getFilter

    public Filter getFilter()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Holder<Filter>`

### getRegistration

    public FilterRegistration.Dynamic getRegistration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.